<v-navigation-drawer v-model="drawer" :permanent="false" app width="300">
  <h3 class="my-4 text-center"> Tree View </h3>
  <div v-if="tree !== null && !loading['config']">
    <tree-node v-for="(node, index) in [tree]" :key="index" :node="node" :selected-node="selectedNode"
      @node-selected="selectNode">
      <template #item="prop">
        <div class="d-flex align-center">
          <v-checkbox-btn v-if="unlocked['include_exclude']" @click="toggle_include_exclude(prop.name)" hide-details
            :ripple="false" v-model="states[prop.name]['included']">
          </v-checkbox-btn>
          <v-tooltip :text="states[prop.name]['state']" location="top" open-delay="500">
            <template v-slot:activator="{ props }">
              <v-icon v-if="typeof(node_color_from_module(prop.name))!=='undefined'"
                :color="node_color_from_module(prop.name)" v-bind="props">
                mdi-circle
              </v-icon>
              <v-progress-circular v-else size="20" indeterminate color="grey darken-1" v-bind="props">
              </v-progress-circular>
            </template>
          </v-tooltip>

          <span class="mx-1">
            [[ prop.name ]]
          </span>
          <v-chip v-if="states[prop.name]['status'] === 3" variant="flat" color="red" size="x-small">
            CRASHED
          </v-chip>
          <v-icon icon="mdi-alert-circle" v-else-if="states[prop.name]['status'] === 2" variant="flat" color="red"
            size="x-small">
          </v-icon>
          <v-icon icon="mdi-alert-circle" v-else-if="states[prop.name]['status'] === 1" variant="flat" color="warning"
            size="x-small">
          </v-icon>

        </div>
      </template>
    </tree-node>
  </div>
</v-navigation-drawer>